Private Member Functions

# NIHIndustry Class Reference

Inheritance diagram for NIHIndustry:

## Private Member Functions
bool | IsInspectable (uint index) const
| Is the item with the given index inspectable?
uint | GetParent (uint index) const
| Get the parent "window_number" of a given instance.
const void * | GetInstance (uint index) const
| Get the instance given an index.
const void * | GetSpec (uint index) const
| Get (NewGRF) specs given an index.
void | SetStringParameters (uint index) const
| Set the string parameters to write the right data for a STRINGn.
uint32 | GetGRFID (uint index) const
| Get the GRFID of the file that includes this item.
uint | Resolve (uint index, uint var, uint param, bool *avail) const
| Resolve (action2) variable for a given index.
uint | GetPSASize (uint index, uint32 grfid) const
| Allows to know the size of the persistent storage.
const int32 * | GetPSAFirstPosition (uint index, uint32 grfid) const
| Gets the first position of the array containing the persistent storage.

## Detailed Description

Definition at line 321 of file newgrf_debug_data.h.

## Member Function Documentation

uint32 NIHIndustry::GetGRFID | ( | uint | index | ) | const`[inline, private, virtual]`

Get the GRFID of the file that includes this item.

Parameters:

  | index | index to check.

Returns:
  GRFID of the item. 0 means that the item is not inspectable.

Implements NIHelper.

Definition at line 327 of file newgrf_debug_data.h.

References Pool< Titem, Tindex, Tgrowth_step, Tmax_size, Tpool_type, Tcache, Tzero >::PoolItem<&_industry_pool >::Get(), GetIndustrySpec(), IndustrySpec::grf_prop, GRFFilePropsBase< Tcnt >::grffile, and IsInspectable().

const void* NIHIndustry::GetInstance | ( | uint | index | ) | const`[inline, private, virtual]`

Get the instance given an index.

Parameters:

  | index | the index to get the instance for.

Returns:
  the instance.

Implements NIHelper.

Definition at line 324 of file newgrf_debug_data.h.

References Pool< Titem, Tindex, Tgrowth_step, Tmax_size, Tpool_type, Tcache, Tzero >::PoolItem<&_industry_pool >::Get().

Referenced by GetPSAFirstPosition().

uint NIHIndustry::GetParent | ( | uint | index | ) | const`[inline, private, virtual]`

Get the parent "window_number" of a given instance.

Parameters:

  | index | the instance to get the parent for.

Returns:
  the parent's window_number or UINT32_MAX if there is none.

Implements NIHelper.

Definition at line 323 of file newgrf_debug_data.h.

References Pool< Titem, Tindex, Tgrowth_step, Tmax_size, Tpool_type, Tcache, Tzero >::PoolItem<&_industry_pool >::Get(), GetInspectWindowNumber(), and GSF_FAKE_TOWNS.

const int32* NIHIndustry::GetPSAFirstPosition | ( | uint | index,
|  | uint32 | grfid |
| ) |  |  | const`[inline, private, virtual]`

Gets the first position of the array containing the persistent storage.

Parameters:

  | index | Index of the item.
  | grfid | Parameter for the PSA. Only required for items with parameters.

Returns:
  Pointer to the first position of the storage array or NULL if not present.

Reimplemented from NIHelper.

Definition at line 338 of file newgrf_debug_data.h.

References GetInstance(), Industry::psa, and PersistentStorageArray< TYPE, SIZE >::storage.

uint NIHIndustry::GetPSASize | ( | uint | index,
|  | uint32 | grfid |
| ) |  |  | const`[inline, private, virtual]`

Allows to know the size of the persistent storage.

Parameters:

  | index | Index of the item.
  | grfid | Parameter for the PSA. Only required for items with parameters.

Returns:
  Size of the persistent storage in indices.

Reimplemented from NIHelper.

Definition at line 336 of file newgrf_debug_data.h.

References cpp_lengthof.

const void* NIHIndustry::GetSpec | ( | uint | index | ) | const`[inline, private, virtual]`

Get (NewGRF) specs given an index.

Parameters:

  | index | the index to get the specs for for.

Returns:
  the specs.

Implements NIHelper.

Definition at line 325 of file newgrf_debug_data.h.

References Pool< Titem, Tindex, Tgrowth_step, Tmax_size, Tpool_type, Tcache, Tzero >::PoolItem<&_industry_pool >::Get(), and GetIndustrySpec().

bool NIHIndustry::IsInspectable | ( | uint | index | ) | const`[inline, private, virtual]`

Is the item with the given index inspectable?

Parameters:

  | index | the index to check.

Returns:
  true iff the index is inspectable.

Implements NIHelper.

Definition at line 322 of file newgrf_debug_data.h.

References Pool< Titem, Tindex, Tgrowth_step, Tmax_size, Tpool_type, Tcache, Tzero >::PoolItem<&_industry_pool >::Get(), GetIndustrySpec(), IndustrySpec::grf_prop, and GRFFilePropsBase< Tcnt >::grffile.

Referenced by GetGRFID().

uint NIHIndustry::Resolve | ( | uint | index,
|  | uint | var,
|  | uint | param,
|  | bool * | avail |
| ) |  |  | const`[inline, private, virtual]`

Resolve (action2) variable for a given index.

Parameters:

  | index | The (instance) index to resolve the variable for.
  | var | The variable to actually resolve.
  | param | The varaction2 0x60+x parameter to pass.
  | avail | Return whether the variable is available.

Returns:
  The resolved variable's value.

Implements NIHelper.

Definition at line 329 of file newgrf_debug_data.h.

References Pool< Titem, Tindex, Tgrowth_step, Tmax_size, Tpool_type, Tcache, Tzero >::PoolItem<&_industry_pool >::Get(), IndustriesResolverObject::GetScope(), ScopeResolver::GetVariable(), Industry::location, OrthogonalTileArea::tile, Industry::type, and VSG_SCOPE_SELF.

void NIHIndustry::SetStringParameters | ( | uint | index | ) | const`[inline, private, virtual]`

Set the string parameters to write the right data for a STRINGn.

Parameters:

  | index | the index to get the string parameters for.

Implements NIHelper.

Definition at line 326 of file newgrf_debug_data.h.

References NIHelper::SetSimpleStringParameters().

The documentation for this class was generated from the following file:

- src/table/newgrf_debug_data.h